#!/bin/bash

storedir="`pwd`"
thisdir="`dirname \"$0\"`"
thisdir="`cd \"$thisdir\" && pwd`"
cd "$thisdir"
source setup.bash

apache_home_os="$GSDLHOME/apache-httpd/$GSDLOS$GSDLARCH"

replace_list="conf/extra/httpd-dav.conf \
	        conf/extra/httpd-manual.conf \
	        conf/extra/httpd-autoindex.conf \
	        conf/extra/httpd-vhosts.conf \
	        conf/extra/httpd-ssl.conf \
	        conf/extra/httpd-multilang-errordoc.conf \
	        conf/original/extra/httpd-dav.conf \
	        conf/original/extra/httpd-manual.conf \
	        conf/original/extra/httpd-autoindex.conf \
	        conf/original/extra/httpd-vhosts.conf \
	        conf/original/extra/httpd-ssl.conf \
	        conf/original/extra/httpd-multilang-errordoc.conf \
	        conf/original/httpd.conf\
	        lib/apr-util-1/apr_dbd_odbc.la \
	        lib/apr-util-1/apr_dbd_sqlite3.la \
	        lib/pkgconfig/apr-util-1.pc \
	        lib/pkgconfig/apr-1.pc \
	        lib/libaprutil-1.la \
	        lib/libapr-1.la \
	        build/config_vars.mk \
	        build/config.nice \
	        build/apr_rules.mk \
	        bin/apu-1-config \
	        bin/apr-1-config \
	        include/ap_config_auto.h \
	        include/ap_config_layout.h"

for one_file in apachectl envvars envvars-std ; do 
  /bin/cp "$apache_home_os/bin/$one_file.in" "$apache_home_os/bin/$one_file"
done ; 

for one_file in $replace_list ; do 
  /bin/cp "$apache_home_os/$one_file.in" "$apache_home_os/$one_file"
done 

/bin/cp "$apache_home_os/bin/apr-1-config.in" "$apache_home_os/bin/apr-1-config"

/bin/cp "$apache_home_os/bin/apu-1-config.in" "$apache_home_os/bin/apu-1-config"

/bin/cp "$apache_home_os/build/config_vars.mk.in" "$apache_home_os/build/config_vars.mk"

bash "$apache_home_os/install-bindist.sh" "$apache_home_os"

log4jprop=$GSDLHOME/lib/java/log4j.properties
sed "s^@gsdl2home@^$GSDLHOME^g" "$log4jprop.in" > "$log4jprop"

/bin/rm $GSDLHOME/cgi-bin/$GSDLOS$GSDLARCH/gsdlsite.cfg
$GSDLHOME/gsicontrol.sh configure-web

cd "$storedir"
